%define anolis_release 1

#%global appdatadir %{_datadir}/%{name}

Name:    adminer
Version: 4.8.1
Release: %{anolis_release}%{?dist}
Summary: Full-featured database management tool written in PHP
License: ASL 2.0 or GPLv2
URL:     http://www.adminer.org/
Source0: https://github.com/vrana/adminer/releases/download/v%{version}/adminer-%{version}.zip
Source1: %{name}.httpd
Source2: %{name}.httpd22
Source3: %{name}.nginx
Source4: %{name}-editor.httpd
Source5: %{name}-editor.httpd22
Source6: %{name}-editor.nginx
Source7: disable-jush.php
Patch0:  disable-jush-plugin.patch

BuildArch: noarch
Requires: %{name}-common = %{version}-%{release}


%description
Adminer (formerly phpMinAdmin) is a full-featured database management tool 
written in PHP. Conversely to phpMyAdmin, it consist of a single file ready to 
deploy to the target server. Adminer is available for MySQL, PostgreSQL, 
SQLite, Oracle, Firebird, SimpleDB, Elasticsearch and MongoDB.

%package editor
Summary: Easy-to-use and user-friendly database data editing tool written in PHP
Requires: %{name}-common = %{version}-%{release}

%description editor
Adminer Editor is both easy-to-use and user-friendly database data editing
tool written in PHP. It is suitable for common users, as it provides
high-level data manipulation.

%package common
Summary: Common files for Adminer
Requires: php(language) >= 5.3.0
Requires: webserver

%description common
Common files and plugins for Adminer and Adminer Editor.

%package designs
Summary:        Alternative designs
Requires:       adminer = %{version}

%description designs
Alternative designs for Adminer. Update the symbolic link at
%{apache_datadir}/%{name}/adminer.css to target the desired theme found in
%{apache_datadir}/%{name}/designs/*/adminer.css.

# Define adminer-database-support packages
%package elasticsearch
Summary:        Dependencies required for Adminer ElasticSearch support
Provides:       adminer-database-support = %{version}
Requires:       adminer = %{version}
Requires:       php-horde-Horde-ElasticSearch

%description elasticsearch
Virtual package that requires dependencies needed for Adminer ElasticSearch support


%package firebird
Summary:        Dependencies required for Adminer Firebird SQL support
Provides:       adminer-database-support = %{version}
Requires:       adminer = %{version}
Requires:       php-firebird

%description firebird
Virtual package that requires dependencies needed for Adminer Firebird SQL support


%package mongodb
Summary:        Dependencies required for Adminer MongoDB support
Provides:       adminer-database-support = %{version}
Requires:       adminer = %{version}
Requires:       php-horde-Horde-Mongo

%description mongodb
Virtual package that requires dependencies needed for Adminer MongoDB support

#%package mssql
#Summary:        Dependencies required for Adminer MS SQL support
#Provides:       adminer-database-support = %{version}
#Requires:       adminer = %{version}
#Requires:       php-mssql

#%description mssql
#Virtual package that requires dependencies needed for Adminer MS SQL support


%package mysql
Summary:        Dependencies required for Adminer MySQL support
Provides:       adminer-database-support = %{version}
Requires:       adminer = %{version}
Requires:       php-pdo_mysql

%description mysql
Virtual package that requires dependencies needed for Adminer MySQL support


%package pgsql
Summary:        Dependencies required for Adminer PostgreSQL support
Provides:       adminer-database-support = %{version}
Requires:       adminer = %{version}
Requires:       php-pdo_pgsql

%description pgsql
Virtual package that requires dependencies needed for Adminer PostgreSQL support


%package sqlite
Summary:        Dependencies required for Adminer SQLite support
Provides:       adminer-database-support = %{version}
Requires:       adminer = %{version}
Requires:       php-pdo_sqlite

%description sqlite
Virtual package that requires dependencies needed for Adminer SQLite support


%prep
%setup -q


%install
# remove bundled libraries
%{__rm} -rf externals/JsShrink
%{__rm} -rf externals/jush

# remove minification script
%{__rm} -f compile.php

%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__cp} -a adminer %{buildroot}%{_datadir}/%{name}/%{name}
%{__cp} -a editor  %{buildroot}%{_datadir}/%{name}/editor
%{__cp} -a plugins %{buildroot}%{_datadir}/%{name}/plugins
%{__cp} -a designs %{buildroot}%{_datadir}/%{name}/designs

%{__install} -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/example-configs/httpd/%{name}.conf
%{__install} -Dpm 0644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/example-configs/httpd22/%{name}.conf
%{__install} -Dpm 0644 %{SOURCE3} %{buildroot}%{_datadir}/%{name}/example-configs/nginx/%{name}.conf

%{__install} -Dpm 0644 %{SOURCE4} %{buildroot}%{_datadir}/%{name}/example-configs/httpd/%{name}-editor.conf
%{__install} -Dpm 0644 %{SOURCE5} %{buildroot}%{_datadir}/%{name}/example-configs/httpd22/%{name}-editor.conf
%{__install} -Dpm 0644 %{SOURCE6} %{buildroot}%{_datadir}/%{name}/example-configs/nginx/%{name}-editor.conf


%files
%{_datadir}/%{name}/%{name}
%{_datadir}/%{name}/example-configs/httpd/%{name}.conf
%{_datadir}/%{name}/example-configs/httpd22/%{name}.conf
%{_datadir}/%{name}/example-configs/nginx/%{name}.conf


%files editor
%{_datadir}/%{name}/editor
%{_datadir}/%{name}/example-configs/httpd/%{name}-editor.conf
%{_datadir}/%{name}/example-configs/httpd22/%{name}-editor.conf
%{_datadir}/%{name}/example-configs/nginx/%{name}-editor.conf


%files common
%doc changes.txt readme.txt todo.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/example-configs
%dir %{_datadir}/%{name}/example-configs/httpd
%dir %{_datadir}/%{name}/example-configs/httpd22
%dir %{_datadir}/%{name}/example-configs/nginx
%{_datadir}/%{name}/plugins
%{_datadir}/%{name}/designs

%files mysql
%files mongodb
%files pgsql
%files firebird
%files elasticsearch
%files designs

%changelog
* Mon Aug 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.8.1-1
- Init upstream from version 4.8.1
